<?php

// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) {
    exit;
}
$plugin_name = 'Fraud Prevention Plugin for WooCommerce';
$plugin_version = WB_PLUGIN_VERSION;
global  $wbpfoabfc_fs ;
$get_account_url_free_premium = ( wbpfoabfc_fs()->is__premium_only() && wbpfoabfc_fs()->can_use_premium_code() ? $wbpfoabfc_fs->get_account_url() : $wbpfoabfc_fs->get_upgrade_url() );
$version_label = 'Free Version';
?>

<div id="dotsstoremain">
	<div class="all-pad">
		<header class="dots-header">
			
		<div class="dots-plugin-details">
                <div class="dots-header-left">
                    <div class="dots-logo-main">
                        <div class="logo-image">
							<img src="<?php 
echo  esc_url( WB_PLUGIN_URL . 'admin/images/thedotstore-images/WooCommerce-Blocker-Prevent-Fake-Orders.png' ) ;
?>">
                        </div>
                        <div class="plugin-version">
                            <span><?php 
esc_html_e( $version_label, 'woo-blocker-lite-prevent-fake-orders-and-blacklist-fraud-customers' );
?> <?php 
echo  esc_html( $plugin_version ) ;
?></span>
                        </div>
                    </div>
                    <div class="plugin-name">
                        <div class="title"><?php 
esc_html_e( $plugin_name, 'woo-blocker-lite-prevent-fake-orders-and-blacklist-fraud-customers' );
?></div>
                        <div class="desc"><?php 
esc_html_e( 'Stops fraudulent transactions and will help your online store grow its business with the power of valid transactions.', 'woo-blocker-lite-prevent-fake-orders-and-blacklist-fraud-customers' );
?></div>
                    </div>
                </div>
                <div class="dots-header-right">
                    <div class="button-group">
                        <div class="button-dots">
                            <span class="support_dotstore_image">
                                <a target="_blank" href="<?php 
echo  esc_url( 'http://www.thedotstore.com/support/' ) ;
?>">
                                    <span class="dashicons dashicons-sos"></span>
                                    <strong><?php 
esc_html_e( 'Quick Support', 'woo-blocker-lite-prevent-fake-orders-and-blacklist-fraud-customers' );
?></strong>
                                </a>
                            </span>
                        </div>

                        <div class="button-dots">
                            <span class="support_dotstore_image">
                                <a target="_blank" href="<?php 
echo  esc_url( 'https://docs.thedotstore.com/category/149-premium-plugin-settings' ) ;
?>">
                                    <span class="dashicons dashicons-media-text"></span>
                                    <strong><?php 
esc_html_e( 'Documentation', 'woo-blocker-lite-prevent-fake-orders-and-blacklist-fraud-customers' );
?></strong>
                                </a>
                            </span>
                        </div>

                        <?php 
?>
                            <div class="button-dots">
                                <span class="support_dotstore_image">
								
                                    <a target="_blank" href="<?php 
echo  esc_url( $get_account_url_free_premium ) ;
?>">
                                        <span class="dashicons dashicons-upload"></span>
                                        <strong><?php 
esc_html_e( 'Upgrade To Pro', 'woo-blocker-lite-prevent-fake-orders-and-blacklist-fraud-customers' );
?></strong>
                                    </a>
                                </span>
                            </div>
                        <?php 
?>
                    </div>
                </div>
            </div>
			<?php 
global  $pagenow ;
$bloker_data_list = '';
$fee_getting_started = '';
$wcblu_post_type = filter_input( INPUT_GET, 'post_type', FILTER_SANITIZE_STRING );
$wcblu_page = filter_input( INPUT_GET, 'page', FILTER_SANITIZE_STRING );
if ( isset( $wcblu_post_type ) && 'blocked_user' === $wcblu_post_type && $pagenow === 'edit.php' || $pagenow === 'post.php' || $pagenow === 'post-new.php' ) {
    $bloker_data_list = "active";
}
$fee_list = ( isset( $wcblu_page ) && 'woocommerce_blacklist_users' === $wcblu_page ? 'active' : '' );
$gs_list = ( isset( $wcblu_page ) && 'wcblu-general-settings' === $wcblu_page ? 'active' : '' );
$rules = ( isset( $wcblu_page ) && 'wcblu-auto-rules' === $wcblu_page ? 'active' : '' );
if ( !empty($wcblu_page) && 'wblp-get-started' === $wcblu_page ) {
    $fee_getting_started = 'active';
}
$wcblu_import_export_setting = ( isset( $wcblu_page ) && 'wcblu-import-export-setting' === $wcblu_page ? 'active' : '' );
$wcblu_information = ( isset( $wcblu_page ) && 'wblp-information' === $wcblu_page ? 'active' : '' );
$wcblu_about = ( isset( $wcblu_page ) && 'wblp-information' === $wcblu_page || isset( $wcblu_page ) && 'wblp-get-started' === $wcblu_page ? 'active' : '' );
?>
			<div class="dots-menu-main">
				<nav>
					<ul>
                        <?php 
?>
                        <li>
							<a class="dotstore_plugin <?php 
esc_attr_e( $fee_list, 'woo-blocker-lite-prevent-fake-orders-and-blacklist-fraud-customers' );
?>" href="<?php 
echo  esc_url( home_url( '/wp-admin/admin.php?page=woocommerce_blacklist_users' ) ) ;
?>"><?php 
esc_html_e( 'Blacklist Settings', 'woo-blocker-lite-prevent-fake-orders-and-blacklist-fraud-customers' );
?></a>
						</li>
						<li>
							<a class="dotstore_plugin <?php 
esc_attr_e( $bloker_data_list, 'woo-blocker-lite-prevent-fake-orders-and-blacklist-fraud-customers' );
?>" href="<?php 
echo  esc_url( site_url( 'wp-admin/edit.php?post_type=blocked_user' ) ) ;
?>"><?php 
esc_html_e( 'Blocked User List', 'woo-blocker-lite-prevent-fake-orders-and-blacklist-fraud-customers' );
?></a>
						</li>
                        <li>
							<a class="dotstore_plugin <?php 
esc_attr_e( $wcblu_import_export_setting, 'woo-blocker-lite-prevent-fake-orders-and-blacklist-fraud-customers' );
?>" href="<?php 
echo  esc_url( site_url( 'wp-admin/admin.php?page=wcblu-import-export-setting' ) ) ;
?>"><?php 
esc_html_e( 'Import/Export Data', 'woo-blocker-lite-prevent-fake-orders-and-blacklist-fraud-customers' );
?></a>
						</li>
						<li>
							<a class="dotstore_plugin <?php 
esc_attr_e( $wcblu_about, 'woo-blocker-lite-prevent-fake-orders-and-blacklist-fraud-customers' );
?>" href="<?php 
echo  esc_url( home_url( '/wp-admin/admin.php?page=wblp-get-started' ) ) ;
?>"><?php 
esc_html_e( 'About Plugin', 'woo-blocker-lite-prevent-fake-orders-and-blacklist-fraud-customers' );
?></a>
							<ul class="sub-menu">
								<li>
									<a class="dotstore_plugin <?php 
esc_attr_e( $fee_getting_started, 'woo-blocker-lite-prevent-fake-orders-and-blacklist-fraud-customers' );
?>" href="<?php 
echo  esc_url( home_url( '/wp-admin/admin.php?page=wblp-get-started' ) ) ;
?>"><?php 
esc_html_e( 'Getting Started', 'woo-blocker-lite-prevent-fake-orders-and-blacklist-fraud-customers' );
?></a>
								</li>
								<li>
									<a class="dotstore_plugin <?php 
echo  esc_attr_e( $wcblu_information, 'woo-blocker-lite-prevent-fake-orders-and-blacklist-fraud-customers' ) ;
?>" href="<?php 
echo  esc_url( home_url( '/wp-admin/admin.php?page=wblp-information' ) ) ;
?>"><?php 
esc_html_e( 'Quick info', 'woo-blocker-lite-prevent-fake-orders-and-blacklist-fraud-customers' );
?></a>
								</li>
							</ul>
						</li>
						<li>
							<a class="dotstore_plugin"><?php 
esc_html_e( 'Dotstore', 'woo-blocker-lite-prevent-fake-orders-and-blacklist-fraud-customers' );
?></a>
							<ul class="sub-menu">
								<li>
									<a target="_blank" href="<?php 
echo  esc_url( "https://www.thedotstore.com/woocommerce-plugins/" ) ;
?>"><?php 
esc_html_e( 'WooCommerce Plugins', 'woo-blocker-lite-prevent-fake-orders-and-blacklist-fraud-customers' );
?></a>
								</li>
								<li>
									<a target="_blank" href="<?php 
echo  esc_url( "https://www.thedotstore.com/wordpress-plugins/" ) ;
?>"><?php 
esc_html_e( 'Wordpress Plugins', 'woo-blocker-lite-prevent-fake-orders-and-blacklist-fraud-customers' );
?></a>
								</li>
								<br>
								<li>
									<a target="_blank" href="<?php 
echo  esc_url( "https://www.thedotstore.com/support/" ) ;
?>"><?php 
esc_html_e( 'Contact Support', 'woo-blocker-lite-prevent-fake-orders-and-blacklist-fraud-customers' );
?></a>
								</li>
							</ul>
						</li>
					</ul>
				</nav>
			</div>
		</header>
